Listing all subscriptions
Note:
- Users should track the corresponding subscription status of related accounts as needed.
Listing all subscriptions › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Listing all subscriptions › Request Parameters optional
idClient-generated request identifier.
methodWebSocket API method name.
paramsListing all subscriptions › Responses
Listing all subscriptions
idstatussubscriptionIdSubscribe to User Data Stream
Subscribe to the User Data Stream in the current WebSocket connection.
Notes:
- This method requires an authenticated WebSocket connection using Ed25519 keys. Please refer to
session.logon. - To check the subscription status, use
session.status, see theuserDataStreamflag indicating you have have an active subscription. - User Data Stream events are available in both JSON and SBE sessions.
- Please refer to User Data Streams for the event format details.
- For SBE, only SBE schema 2:1 or later is supported.
Subscribe to User Data Stream › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Subscribe to User Data Stream › Request Parameters optional
idClient-generated request identifier.
methodWebSocket API method name.
paramsSubscribe to User Data Stream › Responses
Subscribe to User Data Stream
idstatussubscriptionIdSubscribe to User Data Stream through signature subscription (USER_STREAM)
Subscribe to User Data Stream through signature subscription (USER_STREAM) › Authorization
Subscribe to User Data Stream through signature subscription (USER_STREAM) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Subscribe to User Data Stream through signature subscription (USER_STREAM) › Request Parameters optional
idClient-generated request identifier.
methodWebSocket API method name.
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
apiKeyAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
recvWindowSupports up to three decimal places of precision (e.g., 6000.346) so that microseconds may be specified.
Subscribe to User Data Stream through signature subscription (USER_STREAM) › Responses
Subscribe to User Data Stream through signature subscription
idstatussubscriptionIdWebSocket Unsubscribe from User Data Stream
Stop listening to the User Data Stream in the current WebSocket connection.
Note that session.logout will only close the subscription created with userDataStream.subscribe but not subscriptions opened with userDataStream.subscribe.signature.
WebSocket Unsubscribe from User Data Stream › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
WebSocket Unsubscribe from User Data Stream › Request Parameters optional
idClient-generated request identifier.
methodWebSocket API method name.
subscriptionIdWhen called with no parameter, this will close all subscriptions. When called with the subscriptionId parameter, this will attempt to close the subscription with that subscription id, if it exists.
WebSocket Unsubscribe from User Data Stream › Responses
Unsubscribe from User Data Stream
idstatusresult